> For the complete documentation index, see [llms.txt](https://docs.sentiance.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sentiance.com/important-topics/sdk/api-reference/android/transport-sessions/transportsession.md).

# TransportSession

Represents a session that was recorded during a transport. A session includes information about the transport, such as its ID and mode, in addition to a reference to the sensor data that was used to determine the mode of transport (e.g. accelerometer, location).

## TransportSession API

### `getAccelerometerData()`

> ```java
> Iterator<SensorDataChunk> getAccelerometerData()
> ```
>
> Returns an iterator that can be used to retrieve chunks of accelerometer data pertaining to the session. See [`SensorDataChunk`](https://github.com/sentiance/v4-docs/blob/main/important-topics/sdk/api-reference/android/transport-sessions/broken-reference/README.md).
>
> Iterating over the data may be expensive, so avoid doing it directly on the main application thread.

### `getEndDate()`

> ```java
> DateTime getEndDate()
> ```
>
> Returns the end [date](/important-topics/sdk/api-reference/android/datetime.md) of the session.

### `getId()`

> ```java
> String getId()
> ```
>
> Returns the unique ID of this transport session.
>
> This ID is equal to the one obtained from other Sentiance APIs, where the same transport is represented. e.g. the ID of a [`TransportEvent`](/important-topics/sdk/api-reference/android/eventtimeline/event/transportevent.md) obtained from the User Context API.

### `getLocationData()`

> ```java
> Iterator<Location> getLocationData()
> ```
>
> Returns an iterator that can be used to retrieve locations pertaining to the session.
>
> Iterating over the locations may be expensive, so avoid doing it directly on the main application thread.

### `getStartDate()`

> ```java
> DateTime getStartDate()
> ```
>
> Returns the start [date](/important-topics/sdk/api-reference/android/datetime.md) of the session.

### `getTransportMode()`

> ```java
> TransportMode getTransportMode()
> ```
>
> Returns the [transport mode](/important-topics/sdk/api-reference/android/eventtimeline/transportmode.md).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.sentiance.com/important-topics/sdk/api-reference/android/transport-sessions/transportsession.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
